# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext as _
from django.contrib import admin
from django import forms

from jmb.core.admin.options import ExtendibleModelAdmin
from jmb.core.forms.models import AdminModelForm
from jmb.tag import models

class TagAdminForm(AdminModelForm):
    class Meta:
        model = models.Tag
        
class TagAdmin(ExtendibleModelAdmin):
    prepopulated_fields = {"slug": ("name",)}
    list_display = list_display = ('name', 'slug', 'get_edit_icon')
    form = TagAdminForm
    
    
admin.site.register(models.Tag, TagAdmin)
