# -*- coding: utf-8 -*-
import autocomplete_light
import json
from django.http import HttpResponse
from jmb.tag.models import Tag


class TagAutocomplete(autocomplete_light.AutocompleteModelBase):
    search_fields = ('name',)
    autocomplete_js_attributes = {'placeholder': 'Tag'}
    choices = Tag.objects.all()


autocomplete_light.register(Tag, TagAutocomplete, name="TagAutocomplete")

class NewTagAutocomplete(autocomplete_light.AutocompleteModelTemplate):
    search_fields = ('name',)
    autocomplete_js_attributes = {'placeholder': 'Tag'}
    choices = Tag.objects.all()
    model = Tag
    widget_template = "/autocomplete_light/tagwidget.html"
    
    def autocomplete_html(self):
        choices = self.choices_for_request()
        results = []
        for choice in choices:
            results.append({"id": choice.pk, "text": str(choice)})
        return HttpResponse(json.dumps(results), content_type="application/json")

            
            
autocomplete_light.register(NewTagAutocomplete, name="NewTagAutocomplete")
